> For the complete documentation index, see [llms.txt](https://docs.prismacloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.prismacloud.io/admin-guide/32/install/deploy-console/console-on-iks.md).

# Deploy the Prisma Cloud Console on IKS

Use the following procedure to install Prisma Cloud in an IKS cluster. IKS uses dynamic PersistentVolumeClaim provisioning (`ibmc-file-bronze` is the default StorageClass) as well as automatic LoadBalancer configuration for the Prisma Cloud Console. You can optionally specify a StorageClass for premium [file](https://cloud.ibm.com/docs/containers?topic=containers-file_storage) or [block](https://cloud.ibm.com/docs/containers?topic=containers-block_storage) storage options. Use a [retain](https://cloud.ibm.com/docs/containers?topic=containers-file_storage#existing-file-1) storage class (not default) to ensure your storage is not destroyed even if you delete the PVC.

When installing Defenders the IKS Kubernetes version you use matters. [IKS Kubernetes version 1.10 uses Docker, and 1.11+ uses containerd](https://www.ibm.com/cloud/blog/ibm-cloud-kubernetes-service-supports-containerd) as the container runtime.

* If using `containerd`, pass the `--container-runtime containerd` flag to `twistcli`.
* Or select the **Container Runtime type** as `containerd` in the Console UI when generating the Defender `YAML` or `Helm` chart.

1. Use *twistcli* to generate the Prisma Cloud Console YAML configuration file, where \<PLATFORM> can be linux or osx. Optionally set the storage class to premium storage class. For IKS with Kubernetes 1.10, use our standard Kubernetes instructions. Here is an example with a premium StorageClass with the retain option.

   ```yaml
     $ <PLATFORM>/twistcli console export kubernetes \
       --storage-class ibmc-file-retain-silver \
       --service-type LoadBalancer
   ```
2. Deploy the Prisma Cloud Console in the IBM Kubernetes Service cluster.

   ```bash
     $ kubectl create -f ./twistlock_console.yaml
   ```
3. Wait for the service to come up completely.

   ```bash
     $ kubectl get service -w -n twistlock
   ```
4. Configure the console as described in [Configure the Prisma Cloud Console](/admin-guide/32/install/deploy-console/console-on-kubernetes.md#configure-console-k8s).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.prismacloud.io/admin-guide/32/install/deploy-console/console-on-iks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
